summaryrefslogtreecommitdiffstats
path: root/network/rtorrent
diff options
context:
space:
mode:
author Tom Fitzhenry2010-05-11 20:01:43 +0200
committer Robby Workman2010-05-11 20:01:43 +0200
commit6d7c2cf0c3da6bc8a8c4752681106540701a062d (patch)
tree13a4a732940d7bbb1cf353d613b538adda35cb5b /network/rtorrent
parent062e491ce0345915f11f1b3a7c7a2de438fc7bb4 (diff)
downloadslackbuilds-6d7c2cf0c3da6bc8a8c4752681106540701a062d.tar.gz
network/rtorrent: Added to 12.0 repository
Diffstat (limited to 'network/rtorrent')
-rw-r--r--network/rtorrent/README9
-rw-r--r--network/rtorrent/rtorrent.SlackBuild73
-rw-r--r--network/rtorrent/rtorrent.info8
-rw-r--r--network/rtorrent/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/network/rtorrent/README b/network/rtorrent/README
new file mode 100644
index 0000000000..ac40ab514e
--- /dev/null
+++ b/network/rtorrent/README
@@ -0,0 +1,9 @@
+rtorrent is a BitTorrent client for ncurses, using the libtorrent library. The
+client and library is written in C++ with emphasis on speed and efficiency,
+while delivering equivalent features to those found in GUI based clients in an
+ncurses client.
+
+Configure options are stored in ~/.rtorrent.rc; a well-commented base
+can be found at /usr/doc/rtorrent-0.8.0/rtorrent.rc
+
+This requires libtorrent, which is also available from SlackBuilds.org
diff --git a/network/rtorrent/rtorrent.SlackBuild b/network/rtorrent/rtorrent.SlackBuild
new file mode 100644
index 0000000000..27560bd1a4
--- /dev/null
+++ b/network/rtorrent/rtorrent.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for rtorrent
+# Written by Tom Fitzhenry <tom@fitzhenry.name> 2007/08/22
+#
+# Updated by Andrew Brouwers, abrouwers@gmail.com
+
+APP=rtorrent
+VERSION=0.8.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$APP
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING INSTALL README TODO doc/rtorrent.rc"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$APP-$VERSION
+cd $TMP || exit 1
+tar xvf $CWD/$APP-$VERSION.tar.gz || exit 1
+cd $APP-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$APP-$VERSION
+cp -a $DOCS $PKG/usr/doc/$APP-$VERSION
+find $PKG/usr/doc/$APP-$VERSION -type f -exec chmod 644 {} \;
+cat $CWD/$APP.SlackBuild > $PKG/usr/doc/$APP-$VERSION/$APP-SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs \
+ strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs \
+ strip --strip-unneeded 2> /dev/null
+)
+
+# Compress man pages if they exist
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz; rm $i; done
+ )
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$APP-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/rtorrent/rtorrent.info b/network/rtorrent/rtorrent.info
new file mode 100644
index 0000000000..51fc2d8eb8
--- /dev/null
+++ b/network/rtorrent/rtorrent.info
@@ -0,0 +1,8 @@
+PRGNAM="rtorrent"
+VERSION="0.8.0"
+HOMEPAGE="http://libtorrent.rakshasa.no/"
+DOWNLOAD="http://libtorrent.rakshasa.no/downloads/rtorrent-0.8.0.tar.gz"
+MD5SUM="6216be7ce5e3ead9dc115eaeea863694"
+MAINTAINER="Tom Fitzhenry"
+EMAIL="tom@fitzhenry.name"
+APPROVED="rworkman"
diff --git a/network/rtorrent/slack-desc b/network/rtorrent/slack-desc
new file mode 100644
index 0000000000..b358da4b24
--- /dev/null
+++ b/network/rtorrent/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+rtorrent: rtorrent (command-line torrent client)
+rtorrent:
+rtorrent: rtorrent is a BitTorrent client for ncurses
+rtorrent: which uses the libtorrent library.
+rtorrent:
+rtorrent: Homepage: http://rtorrent.rakshasa.no/
+rtorrent:
+rtorrent:
+rtorrent:
+rtorrent:
+rtorrent: